#!/bin/sh
#
# Component: imadmin
#
# Description:
#    Proliferates user data in the dotcom hierarchy
#
#  THIS IS USED FOR PROLIFERATING FILES ONLY!
#  SO THERE'S NOT MUCH SENSE CALLING IT WITHOUT -D
#
# Usage:
#   proliferateuser.sh [-d] -u <userid>
#
#     -d            : also proliferate saved lists, canned report templates, profile, ...
#     -u <userid>   : ID of the user to be proliferated
#
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#
#

. $HOME/etc/setenv.sh

USERID=""
PROLIFERATE_DATA="false"

while getopts 'u:d' OPT; do
	case $OPT in
	u) USERID="$OPTARG" ;;
	d) PROLIFERATE_DATA="true" ;;
	*) usage_ "Invalid_Parameter:$OPT" ;;
	esac   
done

[ -z "$USERID" ] && exit 1


if [ "true" = "$PROLIFERATE_DATA" ] ; then
	direction="all-backup"
	$DOTCOM_HOME/proliferatedir.sh -f $USERS_DATA/$USERID -d $direction
# else
	# proliferate note.txt and pwsettings.rec only
#obsolete - it's in DB	$TASKD_HOME/createtaskfileapp -p "PROLIFERATE" -t "sh" -c "$DOTCOM_HOME/proliferate.sh -f \"$USERS_DATA/$USERID/note.txt\""

#obsolete - it's in DB	$TASKD_HOME/createtaskfileapp -p "PROLIFERATE" -t "sh" -c "$DOTCOM_HOME/proliferate.sh -f \"$USERS_DATA/$USERID/pwsettings.rec\""
fi

exit 0
